%global pkgvers 0
%global scdate0 20240626
%global schash0 24f938bfa5ec1123b6ceb294e6fa4adace5e9114
%global branch0 master
%global source0 https://gerrit.osmocom.org/osmo-trx.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           osmo-trx
Version:        1.6.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom GSM/GPRS/EGPRS transceiver
License:        AGPLv3

URL:            https://osmocom.org/projects/osmotrx/wiki/OsmoTRX

BuildRequires:  git gcc-c++ autoconf automake libtool doxygen systemd
BuildRequires:  pkgconf-pkg-config libosmocore-devel fftw-devel
BuildRequires:  boost-devel libusbx-devel uhd-devel limesuite-devel

%undefine _hardened_build
%undefine _annotated_build

%description
OsmoTRX is a software-defined radio transceiver that
implements the Layer 1 physical layer of a BTS comprising
the following 3GPP specifications:
- TS 05.01 "Physical layer on the radio path"
- TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
- TS 05.04 "Modulation"
- TS 05.10 "Radio subsystem synchronization"


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static \
           --enable-manual \
           --with-lms \
           --with-uhd \
           --with-usrp \
           --with-sse \
           --with-ipc

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %{_docdir}/%{name}
%doc README.md
%doc doc contrib
%license COPYING
%{_bindir}/*
%{_unitdir}/*
%config %{_sysconfdir}/*

%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- github update release
